uniform sampler2D Texture0;
uniform sampler2D Texture1;
varying vec2 Texcoord;
uniform float BlurFactor;

void main(void)
{
   gl_FragColor = mix(texture2D(Texture0, Texcoord), texture2D(Texture1, Texcoord), vec4(BlurFactor));   
}
